JavaScript Editor Javascript debugger     Website design 

udm_api_version

Get mnoGoSearch API version (PHP 4 >= 4.0.5, PHP 5 <= 5.0.5, PECL mnogosearch:1.0.0)
int udm_api_version ( )

Gets the mnoGoSearch API version.

This function allows the user to identify which API functions are available, e.g. udm_get_doc_count() function is only available in mnoGoSearch 3.1.11 or later.

Return Values

udm_api_version() returns the mnoGoSearch API version number. E.g. if mnoGoSearch 3.1.10 API is used, this function will return 30110.

Examples

Example 1370. udm_api_version() example

<?php
if (udm_api_version() >= 30111) {
   echo  
"Total number of URLs in database: " . udm_get_doc_count($udm) . "<br />\n";
}
?>